Permalink
Browse files

[enhance] configure: limit the max node version also

  • Loading branch information...
1 parent a0328e6 commit b78fbb2aef74f4d0971c5e7f780009df5997ec15 @Aqua-Ye Aqua-Ye committed Mar 16, 2013
Showing with 7 additions and 1 deletion.
  1. +7 −1 configure
View
@@ -332,8 +332,14 @@ NODE_VERSION_MAJOR=${NODE_VERSION%%.*}
NODE_VERSION_MIDDLE=${NODE_VERSION%.*}
NODE_VERSION_MIDDLE=${NODE_VERSION_MIDDLE#*.}
NODE_MIN_VERSION=6
+NODE_MAX_VERSION=9
if [ $NODE_VERSION_MIDDLE -ge $NODE_MIN_VERSION ]; then
- echo-ok $NODE_VERSION
+ if [ $NODE_VERSION_MIDDLE -lt $NODE_MAX_VERSION ]; then
+ echo-ok $NODE_VERSION
+ else
+ echo-err $NODE_VERSION
+ echo "Node older than v0.$NODE_MAX_VERSION.0 is required"
+ fi
else
echo-err $NODE_VERSION
echo "Node v0.$NODE_MIN_VERSION.0 or newer is required"

0 comments on commit b78fbb2

Please sign in to comment.